Puzzle / Developers
API referenceReports

Get Income Statement (Interop Format)

GET /company/{id}/statements/profitLoss/interop

GET/company/{id}/statements/profitLoss/interop

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

startPeriod*string
Length1 <= length
endPeriod*string
Length1 <= length
basis?string

Value in

  • "cash"
  • "accrual"
departments?|array<string>

One or more cls_ classification segment IDs returned by GET /company/{id}/classifications, or the case-insensitive literal "none". Values may be repeated or comma-separated.

Response Body

application/json

curl -X GET "https://example.com/company/string/statements/profitLoss/interop?startPeriod=string&endPeriod=string"
{  "Header": {    "Time": "string",    "ReportName": "string",    "StartPeriod": "string",    "EndPeriod": "string",    "Currency": "string",    "ReportBasis": "string"  },  "Columns": [    {      "ColTitle": "string",      "ColType": "string"    }  ],  "Rows": {    "Row": [      {        "type": "string",        "group": "string",        "Header": {          "ColData": [            {              "value": "string",              "id": "string"            }          ]        },        "Summary": {          "ColData": [            {              "value": "string",              "id": "string"            }          ]        },        "ColData": [          {            "value": "string",            "id": "string"          }        ],        "Rows": {          "Row": [            {}          ]        }      }    ]  }}

Schema refreshed 2026-11-11T18:57:48.657Z